package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.RoomFacilityListPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraRoomFacilityListDO;
import java.util.List;

public interface ElderlyExtraRoomFacilityListService {
    Long create(ElderlyExtraRoomFacilityListDO createReqVO);
    void update(ElderlyExtraRoomFacilityListDO updateReqVO);
    void delete(Long id);
    PageResult<ElderlyExtraRoomFacilityListDO> findPage(RoomFacilityListPageReqVO reqVO);
    ElderlyExtraRoomFacilityListDO getDetail(Long id);
    List<ElderlyExtraRoomFacilityListDO> getListByElderId(Long elderId);
}
